Package ru.bitel.bgbilling.plugins.fias.common.bean

# Class Constant

java.lang.Object
ru.bitel.bgbilling.plugins.fias.common.bean.Constant

    public class Constant
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `ADDR_TABLE_NAME` |
  `static java.lang.String` | `CLASS_FIAS_SERVICE` |
  `static java.lang.String` | `CLASS_LOAD_MANAGER` |
  `static java.lang.String` | `CURENTST_TABLE_NAME` |
  `static java.lang.String` | `FILE_PATH` |
  `static java.lang.String` | `HOUSE_TABLE_NAME` |
  `static java.lang.String` | `MAP_CITYS` |
  `static java.lang.String` | `MAP_REGIONS` |
  `static java.lang.String` | `MAP_STREETS` |
  `static java.lang.String` | `PANEL_LOAD` |
  `static java.lang.String` | `PANEL_MAIN` |
  `static java.lang.String` | `PANEL_SYNC` |
  `static java.lang.String` | `SOCRBASE_TABLE_NAME` |
  `static java.util.Map<java.lang.String,​java.lang.String>` | `stateCod` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Constant()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PANEL_MAIN

    public static final java.lang.String PANEL_MAIN
    See Also:
      Constant Field Values

  - ### PANEL_LOAD

    public static final java.lang.String PANEL_LOAD
    See Also:
      Constant Field Values

  - ### PANEL_SYNC

    public static final java.lang.String PANEL_SYNC
    See Also:
      Constant Field Values

  - ### FILE_PATH

    public static final java.lang.String FILE_PATH
    See Also:
      Constant Field Values

  - ### ADDR_TABLE_NAME

    public static final java.lang.String ADDR_TABLE_NAME
    See Also:
      Constant Field Values

  - ### HOUSE_TABLE_NAME

    public static final java.lang.String HOUSE_TABLE_NAME
    See Also:
      Constant Field Values

  - ### CURENTST_TABLE_NAME

    public static final java.lang.String CURENTST_TABLE_NAME
    See Also:
      Constant Field Values

  - ### SOCRBASE_TABLE_NAME

    public static final java.lang.String SOCRBASE_TABLE_NAME
    See Also:
      Constant Field Values

  - ### MAP_REGIONS

    public static final java.lang.String MAP_REGIONS
    See Also:
      Constant Field Values

  - ### MAP_CITYS

    public static final java.lang.String MAP_CITYS
    See Also:
      Constant Field Values

  - ### MAP_STREETS

    public static final java.lang.String MAP_STREETS
    See Also:
      Constant Field Values

  - ### CLASS_LOAD_MANAGER

    public static final java.lang.String CLASS_LOAD_MANAGER
    See Also:
      Constant Field Values

  - ### CLASS_FIAS_SERVICE

    public static final java.lang.String CLASS_FIAS_SERVICE
    See Also:
      Constant Field Values

  - ### stateCod

    public static final java.util.Map<java.lang.String,​java.lang.String> stateCod

- ## Constructor Details

  - ### Constant

    public Constant()